# Class TimeAspect

java.lang.Object
uk.ac.starlink.ttools.plot2.geom.TimeAspect

public class TimeAspect extends Object
Defines the data range covered by a TimeSurface.

Since:
  15 Aug 2013
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`TimeAspect(double[] tlimits, double[] ylimits)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`double`
`getTMax()`
Returns time data coordinate upper bound.
`double`
`getTMin()`
Returns time data coordinate lower bound.
`double`
`getYMax()`
Returns Y data coordinate upper bound.
`double`
`getYMin()`
Returns Y data coordinate lower bound.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TimeAspect

public TimeAspect(double[] tlimits, double[] ylimits)
Constructor.

Parameters:
  `tlimits` - 2-element array giving (min,max) time data coordinates, in seconds since the Unix epoch
  `ylimits` - 2-element array giving (min,max) Y data doordinates

## Method Details

### getTMin

public double getTMin()
Returns time data coordinate lower bound.

Returns:
  time minimum in unix seconds

### getTMax

public double getTMax()
Returns time data coordinate upper bound.

Returns:
  time maximum in unix seconds

### getYMin

public double getYMin()
Returns Y data coordinate lower bound.

Returns:
  y min

### getYMax

public double getYMax()
Returns Y data coordinate upper bound.

Returns:
  y max